Bug 582615 (CVE-2010-1169) - CVE-2010-1169 PostgreSQL: PL/Perl Intended restriction bypass
Summary: CVE-2010-1169 PostgreSQL: PL/Perl Intended restriction bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-1169
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 586056 586057 586058 586059 586060 586061 589541 589543 593032 593033 636659 812237 812245
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-15 12:49 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-26 15:10:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0427 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 15:48:23 UTC
Red Hat Product Errata RHSA-2010:0428 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:15:45 UTC
Red Hat Product Errata RHSA-2010:0429 normal SHIPPED_LIVE Moderate: postgresql security update 2010-05-19 16:29:57 UTC
Red Hat Product Errata RHSA-2010:0430 normal SHIPPED_LIVE Moderate: postgresql84 security update 2010-05-19 17:01:37 UTC

Description Jan Lieskovsky 2010-04-15 12:49:14 UTC
A flaw was found in the way the PostgreSQL enforced permission checks
on scripts written in PL/Perl. Once the PL/Perl procedural language
was registered on particular database, a remote, authenticated user,
privileged to create databases, running a specially-crafted PL/Perl
script, could use this flaw to bypass intended PL/Perl trusted mode
restrictions, allowing them to run arbitrary Perl scripts with the
privileges of the database server.

References:
  [1] PostgreSQL PL/Perl procedural language manual page:
      http://www.postgresql.org/docs/8.1/interactive/plperl.html
  [2] PostgreSQL Trusted and Untrusted PL/Perl mode manual page:
      http://www.postgresql.org/docs/8.1/interactive/plperl-trusted.html

Acknowledgements:

Red Hat would like to thank Tim Bunce for responsibly reporting
this issue.

Comment 7 Jan Lieskovsky 2010-04-21 16:17:04 UTC
This is CVE-2010-1169.

Comment 16 Vincent Danen 2010-05-17 16:41:11 UTC
This is public now:

http://www.postgresql.org/support/security.html

Comment 20 Fedora Update System 2010-05-17 19:08:42 UTC
postgresql-8.4.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-8.4.4-1.fc12

Comment 21 Fedora Update System 2010-05-17 19:08:51 UTC
postgresql-8.3.11-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/postgresql-8.3.11-1.fc11

Comment 22 Fedora Update System 2010-05-17 19:09:01 UTC
postgresql-8.4.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/postgresql-8.4.4-1.fc13

Comment 23 Fedora Update System 2010-05-18 21:45:01 UTC
postgresql-8.4.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-05-18 21:53:26 UTC
postgresql-8.4.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2010-05-18 21:57:48 UTC
postgresql-8.3.11-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Tomas Hoger 2010-05-19 07:37:22 UTC
Upstream commit (head/master branch):
http://git.postgresql.org/gitweb?p=postgresql.git;a=commitdiff;h=5d17e8167a82e646124617c1e00004c73aa40afc

Comment 27 errata-xmlrpc 2010-05-19 15:48:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2010:0427 https://rhn.redhat.com/errata/RHSA-2010-0427.html

Comment 28 errata-xmlrpc 2010-05-19 16:15:59 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0428 https://rhn.redhat.com/errata/RHSA-2010-0428.html

Comment 29 errata-xmlrpc 2010-05-19 16:30:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0429 https://rhn.redhat.com/errata/RHSA-2010-0429.html

Comment 30 errata-xmlrpc 2010-05-19 17:01:46 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0430 https://rhn.redhat.com/errata/RHSA-2010-0430.html

Comment 31 Vincent Danen 2010-09-22 20:16:13 UTC
Created sepostgresql tracking bugs for this issue

Affects: fedora-all [bug 636659]


Note You need to log in before you can comment on or make changes to this bug.